Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCoordinateSystemTransform Class Reference
[MgCoordinateSystemTransform]

Provides operations for transforming coordinates from one coordinate system to another. More...

Inherits MgTransform.

List of all members.

## Public Member Functions
virtual INT32 | GetLastTransformStatus ()=0
virtual MgCoordinateSystem * | GetSource ()=0
virtual MgCoordinateSystem * | GetTarget ()=0
virtual void | IgnoreDatumShiftWarning (bool bIgnoreDatumShiftWarning)=0
virtual void | IgnoreOutsideDomainWarning (bool bIgnoreOutsideDomainWarning)=0
virtual bool | IsIgnoreDatumShiftWarning ()=0
virtual bool | IsIgnoreOutsideDomainWarning ()=0
virtual bool | IsValidSourcePoint (double x, double y, double z)=0
virtual bool | IsValidSourcePoint (double x, double y)=0
virtual bool | IsValidTargetPoint (double x, double y, double z)=0
virtual bool | IsValidTargetPoint (double x, double y)=0
virtual void | ResetLastTransformStatus ()=0
virtual void | SetSourceAndTarget (MgCoordinateSystem *pSource, MgCoordinateSystem *pTarget)=0
virtual MgEnvelope * | Transform (MgEnvelope *envelope)=0
| Transforms an MgEnvelope instance for the source coordinate system into an MgEnvelope instance for target coordinate system.
virtual MgCoordinate * | Transform (MgCoordinate *coordinate)=0
| Transforms the given coordinate whose frame of reference is the source coordinate system into a coordinate whose frame of reference is the target coordinate system.
virtual MgCoordinate * | Transform (double x, double y, double z)=0
| Transforms the given X, Y and Z values whose frame of reference is the source coordinate system into a coordinate whose frame of reference is the target coordinate system.
virtual MgCoordinate * | Transform (double x, double y)=0
| Transforms the given X and Y values whose frame of reference is the source coordinate system into an XY coordinate whose frame of reference is the target coordinate system.
virtual void | TransformCoordinate (MgCoordinate *coordinate)=0
virtual MgCoordinate * | TransformM (double x, double y, double z, double m)=0
| Transforms the given X, Y, Z, and M values whose frame of reference is the source coordinate system into a coordinate whose frame of reference is the target coordinate system.
virtual MgCoordinate * | TransformM (double x, double y, double m)=0
| Transforms the given X, Y, and M values whose frame of reference is the source coordinate system into a coordinate whose frame of reference is the target coordinate system.
## Static Public Attributes
static const INT32 | TransformDatumShiftWarning = 1
static const INT32 | TransformOk = 0
static const INT32 | TransformOutsideDomainWarning = 2
static const INT32 | TransformTotalFailure = 3

## Detailed Description

Provides operations for transforming coordinates from one coordinate system to another.

Comments or suggestions? Send us feedback.